public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-servers/lighttpd/
Date: Sat,  3 Jul 2021 15:46:19 +0000 (UTC)	[thread overview]
Message-ID: <1625326938.bac424b30a1d45485ee016f418cd6fb0702e470f.juippis@gentoo> (raw)

commit:     bac424b30a1d45485ee016f418cd6fb0702e470f
Author:     Herb Miller Jr <herb <AT> hlmjr <DOT> com>
AuthorDate: Thu May 20 20:59:20 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Jul  3 15:42:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bac424b3

www-servers/lighttpd: Version bump (v1.4.59)

Added Zstandard output compression support and cleaned up ebuild
a bit.

Closes: https://bugs.gentoo.org/776793
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Herb Miller Jr. <herb <AT> hlmjr.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 www-servers/lighttpd/Manifest               |   1 +
 www-servers/lighttpd/lighttpd-1.4.59.ebuild | 237 ++++++++++++++++++++++++++++
 www-servers/lighttpd/metadata.xml           |   1 +
 3 files changed, 239 insertions(+)

diff --git a/www-servers/lighttpd/Manifest b/www-servers/lighttpd/Manifest
index 4451e529352..545b25d8c85 100644
--- a/www-servers/lighttpd/Manifest
+++ b/www-servers/lighttpd/Manifest
@@ -1,2 +1,3 @@
 DIST lighttpd-1.4.55.tar.xz 765660 BLAKE2B 7b972de86e7d1a51438718e4d5bd49188c107b0f2e656ead597085ae84f3d41cdb662a7774c6655155d390c26f3e4f0b0dc4243c85cb0255a91d8ca57742f402 SHA512 023d5a54079e710a89a59e259c0b5798103ef6fce4544c36110dc4c5281ef429ef99369923d74123fcf8be37afe622d44cd7149078d21971ff26f3f4ee37c439
 DIST lighttpd-1.4.58.tar.xz 956828 BLAKE2B b8b0a111db64a8af429dd9922503991e55276808b58143ffce3268bc8b20a39cfec9d8c1e2917b34326ac5502801a6ca3b9bae26874f86b6749c363a09225ca3 SHA512 b7f18223e46bf78f866eb22f44a7702df07424271e085da9f0d03e626198c30e87a3959536d02e3588aa47ba4bc7db7c432307175fb3b25a2984f9cf692c0ca4
+DIST lighttpd-1.4.59.tar.xz 968352 BLAKE2B 8997386be24d9d84fa8012aedd8ac97b3ad4fd19bb756163d3e9b8c6984c740475c6db2810817db9d1a246320bcd81f7ab35847707316454523c614a4485299f SHA512 94d312f6ac65c32057018b749c4865220b43b3e4b7fe9396848aa403ea7fdc2ccbf3f4f91daf281b754cf272a52a8bcdc689502773ea33cae36eead2785daa0f

diff --git a/www-servers/lighttpd/lighttpd-1.4.59.ebuild b/www-servers/lighttpd/lighttpd-1.4.59.ebuild
new file mode 100644
index 00000000000..b3d8e44ff79
--- /dev/null
+++ b/www-servers/lighttpd/lighttpd-1.4.59.ebuild
@@ -0,0 +1,237 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..4} )
+
+inherit autotools flag-o-matic lua-single readme.gentoo-r1 systemd tmpfiles toolchain-funcs
+
+DESCRIPTION="Lightweight high-performance web server"
+HOMEPAGE="https://www.lighttpd.net https://github.com/lighttpd"
+SRC_URI="https://download.lighttpd.net/lighttpd/releases-1.4.x/${P}.tar.xz"
+
+LICENSE="BSD GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="brotli bzip2 dbi doc gdbm gnutls ipv6 kerberos ldap libev lua maxminddb mbedtls mmap memcached mysql nss pcre php postgres rrdtool sasl selinux ssl sqlite test webdav xattr zlib zstd"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
+	mysql? ( dbi )
+	postgres? ( dbi )
+	sqlite? ( dbi )
+	webdav? ( sqlite )
+"
+
+BDEPEND="virtual/pkgconfig"
+
+COMMON_DEPEND="
+	acct-group/lighttpd
+	acct-user/lighttpd
+	brotli? ( app-arch/brotli )
+	bzip2? ( app-arch/bzip2 )
+	dbi? (
+		dev-db/libdbi
+		mysql? ( dev-db/libdbi-drivers[mysql] )
+		postgres? ( dev-db/libdbi-drivers[postgres] )
+		sqlite? ( dev-db/libdbi-drivers[sqlite] )
+	)
+	gdbm? ( sys-libs/gdbm:= )
+	gnutls? ( net-libs/gnutls )
+	kerberos? ( virtual/krb5 )
+	ldap? ( >=net-nds/openldap-2.1.26 )
+	libev? ( >=dev-libs/libev-4.01 )
+	lua? ( ${LUA_DEPS} )
+	maxminddb? ( dev-libs/libmaxminddb )
+	mbedtls? ( net-libs/mbedtls )
+	memcached? ( dev-libs/libmemcached )
+	nss? ( dev-libs/nss )
+	pcre? ( >=dev-libs/libpcre-3.1 )
+	php? ( dev-lang/php:*[cgi] )
+	rrdtool? ( net-analyzer/rrdtool )
+	sasl? ( dev-libs/cyrus-sasl )
+	ssl? ( >=dev-libs/openssl-0.9.7:0= )
+	webdav? (
+		dev-libs/libxml2
+		sys-fs/e2fsprogs
+	)
+	xattr? ( kernel_linux? ( sys-apps/attr ) )
+	zlib? ( >=sys-libs/zlib-1.1 )
+	zstd? ( app-arch/zstd )"
+
+DEPEND="${COMMON_DEPEND}
+	doc?  ( dev-python/docutils )
+	test? (
+		virtual/perl-Test-Harness
+		dev-libs/fcgi
+	)"
+
+RDEPEND="${COMMON_DEPEND}
+	selinux? ( sec-policy/selinux-apache )
+"
+
+# update certain parts of lighttpd.conf based on conditionals
+update_config() {
+	local config="${D}/etc/lighttpd/lighttpd.conf"
+
+	# enable php/mod_fastcgi settings
+	if use php; then sed -i -e 's|#.*\(include.*fastcgi.*$\)|\1|' ${config} || die; fi
+
+	# automatically listen on IPv6 if built with USE=ipv6. Bug #234987
+	if use ipv6; then sed -i -e 's|# server.use-ipv6|server.use-ipv6|' ${config} || die; fi
+}
+
+pkg_setup() {
+	if use lua; then
+		lua-single_pkg_setup
+	fi
+
+	if ! use pcre ; then
+		ewarn "It is highly recommended that you build ${PN}"
+		ewarn "with perl regular expressions support via USE=pcre."
+		ewarn "Otherwise you lose support for some core options such"
+		ewarn "as conditionals and modules such as mod_re{write,direct}"
+		ewarn "and mod_ssi."
+	fi
+
+	DOC_CONTENTS="IPv6 migration guide:\n
+		http://redmine.lighttpd.net/projects/lighttpd/wiki/IPv6-Config"
+}
+
+src_prepare() {
+	default
+	if use memcached; then append-ldflags -pthread; fi
+	# dev-python/docutils installs rst2html.py not rst2html
+	sed -i -e 's|\(rst2html\)|\1.py|g' doc/outdated/Makefile.am || \
+		die "sed doc/Makefile.am failed"
+	eautoreconf
+}
+
+src_configure() {
+	# The lua bit requires a bit of explanation. The lighttpd autoconf script
+	# handles the value passed to --with-lua as follows:
+	#  - "no" - do nothing
+	#  - "yes" - query pkgconfig for VERSIONED lua packages, starting with 5.3
+	#    and going down; only if lua5.1 cannot be found plain "lua" is tried
+	#  - any other value is passed to pkgconfig as the exact package name to use.
+	# We want a specific implementation to be used even if a newer one is present
+	# in the system so we use the latter mode.
+	econf \
+		CC_FOR_BUILD=$(tc-getBUILD_CC) \
+		--libdir=/usr/$(get_libdir)/${PN} \
+		--enable-lfs \
+		$(use_enable ipv6) \
+		$(use_enable mmap) \
+		$(use_with brotli) \
+		$(use_with bzip2) \
+		$(use_with dbi) \
+		$(use_with gdbm) \
+		$(use_with gnutls ) \
+		$(use_with kerberos krb5) \
+		$(use_with ldap) \
+		$(use_with libev) \
+		$(use_with lua lua ${ELUA}) \
+		$(use_with maxminddb) \
+		$(use_with mbedtls) \
+		$(use_with memcached) \
+		$(use_with nss) \
+		$(use_with pcre) \
+		$(use_with sasl) \
+		$(use_with ssl openssl) \
+		$(use_with webdav webdav-props) \
+		$(use_with webdav webdav-locks) \
+		$(use_with xattr attr) \
+		$(use_with zlib) \
+		$(use_with zstd)
+}
+
+src_compile() {
+	emake
+
+	if use doc ; then
+		einfo "Building HTML documentation"
+		cd doc || die
+		emake html
+	fi
+}
+
+src_test() {
+	if [[ ${EUID} -eq 0 ]]; then
+		default_src_test
+	else
+		ewarn "test skipped, please re-run as root if you wish to test ${PN}"
+	fi
+}
+
+src_install() {
+	default
+
+	find "${D}" -name '*.la' -delete || die
+
+	# init script stuff
+	newinitd "${FILESDIR}"/lighttpd.initd lighttpd
+	newconfd "${FILESDIR}"/lighttpd.confd lighttpd
+
+	# configs
+	insinto /etc/lighttpd
+	doins "${FILESDIR}"/conf/lighttpd.conf
+	doins "${FILESDIR}"/conf/mime-types.conf
+	doins "${FILESDIR}"/conf/mod_cgi.conf
+	doins "${FILESDIR}"/conf/mod_fastcgi.conf
+
+	# update lighttpd.conf directives based on conditionals
+	update_config
+
+	# docs
+	dodoc AUTHORS README NEWS doc/scripts/*.sh
+	newdoc doc/config//lighttpd.conf lighttpd.conf.distrib
+	if use ipv6; then readme.gentoo_create_doc; fi
+
+	if use doc; then dodoc -r doc; fi
+
+	docinto txt
+	dodoc doc/outdated/*.txt
+
+	# logrotate
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}"/lighttpd.logrotate-r1 lighttpd
+
+	keepdir /var/l{ib,og}/lighttpd /var/www/localhost/htdocs
+	fowners lighttpd:lighttpd /var/l{ib,og}/lighttpd
+	fperms 0750 /var/l{ib,og}/lighttpd
+
+	systemd_dounit "${FILESDIR}/${PN}.service"
+	newtmpfiles "${FILESDIR}/${PN}.tmpfiles.conf" "${PN}.conf"
+}
+
+pkg_postinst() {
+	if use ipv6; then readme.gentoo_print_elog; fi
+
+	if [[ -f ${ROOT}/etc/lighttpd.conf ]] ; then
+		elog
+		elog "Gentoo has a customized configuration,"
+		elog "which is now located in /etc/lighttpd. Please migrate your"
+		elog "existing configuration."
+	fi
+
+	if use brotli || use bzip2 || use zlib; then
+		elog
+		elog "Remember to clean your cache directory when using"
+		elog "output compression!"
+		elog "https://redmine.lighttpd.net/projects/lighttpd/wiki/Docs_ModDeflate"
+	fi
+
+	if use mysql; then
+		elog
+		elog "Note that upstream has moved away from using mysql directly"
+		elog "via mod_mysql and is now accessing it through mod_dbi. You"
+		elog "may need to update your configuration"
+	fi
+
+	elog
+	elog "Upstream has deprecated a number of features. They are not missing"
+	elog "but have been migrated to other mechanisms. Please see upstream"
+	elog "changelog for details."
+	elog "https://www.lighttpd.net/2021/2/2/1.4.59/"
+}

diff --git a/www-servers/lighttpd/metadata.xml b/www-servers/lighttpd/metadata.xml
index bdade9103aa..8477d5d0d91 100644
--- a/www-servers/lighttpd/metadata.xml
+++ b/www-servers/lighttpd/metadata.xml
@@ -29,5 +29,6 @@
 		<flag name="rrdtool">Enable rrdtool support via mod_rrdtool</flag>
 		<flag name="webdav">Enable webdav properties</flag>
 		<flag name="zlib">Enable output compression via gzip or deflate algorithms</flag>
+		<flag name="zstd">Enable output compression via Zstandard algorithm</flag>
 	</use>
 </pkgmetadata>


             reply	other threads:[~2021-07-03 15:46 UTC|newest]

Thread overview: 184+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-03 15:46 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-25  3:32 [gentoo-commits] repo/gentoo:master commit in: www-servers/lighttpd/ Sam James
2025-03-25  3:31 Sam James
2025-03-25  3:31 Sam James
2025-02-23  5:31 Sam James
2025-02-23  5:31 Sam James
2025-02-23  5:31 Sam James
2025-02-23  5:21 Sam James
2025-02-23  5:16 Sam James
2025-01-10 18:53 Sam James
2025-01-05 20:33 Sam James
2024-12-09  7:33 Arthur Zamarin
2024-08-30  9:05 Arthur Zamarin
2024-08-29  5:11 Joonas Niilola
2024-08-29  5:11 Joonas Niilola
2024-07-05 10:20 Arthur Zamarin
2024-06-30  8:33 Sam James
2024-06-30  8:31 Sam James
2024-06-30  8:31 Sam James
2024-06-30  8:31 Sam James
2024-06-30  8:31 Sam James
2024-06-25  4:45 Sam James
2024-06-25  4:10 Sam James
2024-06-25  4:07 Sam James
2024-06-25  4:07 Sam James
2024-05-06 16:34 Sam James
2024-05-06 16:34 Sam James
2024-05-06 14:06 Sam James
2024-05-06 14:05 Sam James
2024-05-06 14:05 Sam James
2024-03-14  5:54 Sam James
2024-02-21 10:17 Sam James
2024-02-21 10:17 Sam James
2024-02-13  5:43 Viorel Munteanu
2024-02-13  5:43 Viorel Munteanu
2024-01-28 20:00 Arthur Zamarin
2024-01-17  5:27 Sam James
2024-01-17  5:24 Sam James
2024-01-17  4:59 Sam James
2024-01-17  4:59 Sam James
2024-01-13 11:14 Sam James
2023-12-15 12:53 Arthur Zamarin
2023-12-15  7:14 Sam James
2023-12-15  7:06 Sam James
2023-12-15  6:52 Sam James
2023-11-25  4:49 Sam James
2023-10-08  1:19 Sam James
2023-10-08  1:04 Sam James
2023-09-29  7:27 WANG Xuerui
2023-08-24 18:01 Arthur Zamarin
2023-08-19 11:38 Sam James
2023-08-19 11:38 Sam James
2023-08-19  7:23 Sam James
2023-08-19  6:40 Arthur Zamarin
2023-08-15  3:17 Sam James
2023-07-17 14:07 Sam James
2023-06-25  7:22 Sam James
2023-05-31  0:28 Sam James
2023-05-10 18:49 Sam James
2023-03-24 15:23 Arthur Zamarin
2023-03-24 11:09 Arthur Zamarin
2023-03-06  4:24 Sam James
2023-03-06  4:24 Sam James
2023-02-26 19:34 Arthur Zamarin
2023-02-24 16:14 Arthur Zamarin
2023-02-24 16:14 Arthur Zamarin
2023-02-24 16:10 Arthur Zamarin
2023-02-24 16:02 Arthur Zamarin
2023-02-24 16:00 Arthur Zamarin
2023-02-12  4:00 Sam James
2022-10-21 18:03 John Helmert III
2022-10-12  6:48 Agostino Sarubbo
2022-10-11  9:19 Agostino Sarubbo
2022-10-11  9:19 Agostino Sarubbo
2022-10-11  6:46 Agostino Sarubbo
2022-10-11  6:43 Agostino Sarubbo
2022-10-10 23:36 Sam James
2022-09-19  2:25 Sam James
2022-09-19  2:25 Sam James
2022-09-04 17:12 Joonas Niilola
2022-04-12 11:12 Sam James
2022-03-23  0:14 Sam James
2022-03-12 16:26 Arthur Zamarin
2022-03-12 10:51 Arthur Zamarin
2022-03-03  6:34 Yixun Lan
2022-03-02  6:52 Agostino Sarubbo
2022-03-02  6:51 Agostino Sarubbo
2022-03-02  6:50 Agostino Sarubbo
2022-03-02  6:49 Agostino Sarubbo
2022-03-02  3:04 Sam James
2022-01-23 17:57 Sam James
2022-01-23 17:57 Sam James
2021-10-13  6:02 Agostino Sarubbo
2021-10-13  5:54 Agostino Sarubbo
2021-10-11 12:17 Agostino Sarubbo
2021-10-11  6:00 Sam James
2021-10-11  4:20 Sam James
2021-07-30 23:31 Sam James
2021-07-30 23:31 Sam James
2021-07-10  1:11 Sam James
2021-05-02 20:26 Mikle Kolyada
2021-04-19 21:26 Sam James
2021-04-18 19:41 Sergei Trofimovich
2021-04-18  2:58 Sam James
2021-04-18  2:58 Sam James
2021-04-18  2:57 Sam James
2021-03-07 11:58 David Seifert
2021-02-09 13:47 Marek Szuba
2021-01-26 14:33 Joonas Niilola
2021-01-24  3:52 Sam James
2021-01-23 22:51 Sam James
2021-01-23 22:42 Sam James
2021-01-23  4:20 Sam James
2021-01-23  4:09 Sam James
2020-12-03 12:54 Marek Szuba
2020-10-14 14:44 Marek Szuba
2020-10-12  9:06 Joonas Niilola
2020-09-07 19:01 Mikle Kolyada
2020-07-11 21:42 Mikle Kolyada
2020-06-18 21:35 Mikle Kolyada
2020-06-18 21:33 Mikle Kolyada
2020-06-07  8:48 Agostino Sarubbo
2020-06-07  8:44 Agostino Sarubbo
2020-06-06 18:09 Agostino Sarubbo
2020-06-06 17:37 Agostino Sarubbo
2020-06-06 17:32 Agostino Sarubbo
2020-06-06 17:29 Agostino Sarubbo
2020-02-09 16:50 Mikle Kolyada
2020-02-09 16:48 Mikle Kolyada
2020-02-09 16:46 Mikle Kolyada
2020-01-01 16:29 Mikle Kolyada
2019-08-11 11:20 David Seifert
2019-08-02 12:19 Mikle Kolyada
2019-08-02 12:04 Mikle Kolyada
2019-08-02 12:04 Mikle Kolyada
2019-02-28 11:57 Mikle Kolyada
2019-01-30  9:07 Mikle Kolyada
2019-01-10 11:09 Mikle Kolyada
2019-01-01  9:28 Mikle Kolyada
2019-01-01  9:28 Mikle Kolyada
2018-11-29 11:13 Mikle Kolyada
2018-11-24 10:54 Mikle Kolyada
2018-11-24 10:53 Mikle Kolyada
2018-11-24 10:50 Mikle Kolyada
2018-08-17  2:05 Mikle Kolyada
2018-05-11 10:35 Mikle Kolyada
2018-05-10 20:20 Mikle Kolyada
2018-05-09 12:35 Mikle Kolyada
2018-05-08 16:12 Mikle Kolyada
2018-05-06 12:01 Mikle Kolyada
2018-05-06 11:39 Mikle Kolyada
2018-05-05  9:36 Mikle Kolyada
2018-04-29 14:04 Mikle Kolyada
2018-04-28 19:42 Mikle Kolyada
2018-04-28 13:23 Mikle Kolyada
2018-04-26  9:01 Mikle Kolyada
2018-04-26  8:54 Mikle Kolyada
2018-04-22 23:47 Mikle Kolyada
2018-04-22 13:12 Mikle Kolyada
2017-12-12 21:46 Daniel Campbell
2017-10-23  3:28 Daniel Campbell
2017-06-26  7:54 Alexis Ballier
2017-05-06  7:24 Markus Meier
2017-04-25  7:21 Jeroen Roovers
2017-04-23 10:27 Agostino Sarubbo
2017-04-22  7:33 Tobias Klausmann
2017-01-20  6:20 Jeroen Roovers
2017-01-18  9:50 Agostino Sarubbo
2017-01-17 12:26 Daniel Campbell
2017-01-15 12:57 Markus Meier
2017-01-02 14:51 Daniel Campbell
2016-11-23  9:20 Tobias Klausmann
2016-11-20 13:08 Agostino Sarubbo
2016-11-20 13:04 Agostino Sarubbo
2016-11-09 13:21 Daniel Campbell
2016-10-19 10:35 Daniel Campbell
2016-09-12  9:57 Daniel Campbell
2016-08-07  6:52 Pacho Ramos
2016-08-04 21:40 Daniel Campbell
2016-02-18  9:38 Patrick Lauer
2016-01-11 15:21 Brian Evans
2015-10-05 14:34 Julian Ospald
2015-09-02 17:19 Markos Chandras
2015-09-02 17:19 Markos Chandras

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1625326938.bac424b30a1d45485ee016f418cd6fb0702e470f.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox